com.holonplatform.core.property

## Interface PathPropertySetAdapter.Builder<B extends PathPropertySetAdapter.Builder<B,A>,A extends PathPropertySetAdapter>

- Type Parameters:
    `B` - Concrete builder type
    `A` - PathPropertySetAdapter type
  All Known Subinterfaces:
    PathPropertyBoxAdapter.PathPropertyBoxAdapterBuilder, PathPropertySetAdapter.PathPropertySetAdapterBuilder
  Enclosing interface:
    PathPropertySetAdapter

      public static interface PathPropertySetAdapter.Builder<B extends PathPropertySetAdapter.Builder<B,A>,A extends PathPropertySetAdapter>

  `PathPropertySetAdapter` builder.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `A` | `build()` Build the adapter instance.
    `B` | `pathConverter(PathPropertySetAdapter.PathConverter pathConverter)` Set the `PathPropertySetAdapter.PathConverter` to use to convert a `Property` into a `Path` representation.
    `B` | `pathMatcher(PathPropertySetAdapter.PathMatcher pathMatcher)` Set the `PathPropertySetAdapter.PathMatcher` to use for `Path` matching strategy.
    `B` | `withCaseInsensitivePathMatcher()` Use a case insensitive matcher to compare path names.

- - ### Method Detail

    - #### pathConverter

          B pathConverter(PathPropertySetAdapter.PathConverter pathConverter)

      Set the `PathPropertySetAdapter.PathConverter` to use to convert a `Property` into a `Path` representation.

      By default, the `Property` path representation is obtained checking if the `Property` extends the `Path` interface and, in this case, using the property definition itself as path representation.

      Parameters:
        `pathConverter` - The path converter to set (not null)
      Returns:
        this

    - #### pathMatcher

          B pathMatcher(PathPropertySetAdapter.PathMatcher pathMatcher)

      Set the `PathPropertySetAdapter.PathMatcher` to use for `Path` matching strategy.

      By default, the `Path.relativeName()` method is used to obtain the path names and the names are matched using the default `equals` strategy.

      Parameters:
        `pathMatcher` - The path matcher to set (not null)
      Returns:
        this

    - #### withCaseInsensitivePathMatcher

          B withCaseInsensitivePathMatcher()

      Use a case insensitive matcher to compare path names.
      Returns:
        this

    - #### build

          A build()

      Build the adapter instance.
      Returns:
        A new adapter

Copyright © 2019 The Holon Platform. All rights reserved.